For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Network API
      • GETList disputes
      • GETRetrieve dispute
      • POSTAccept dispute
      • POSTChallenge dispute
      • GETList dispute evidence
      • POSTCreate dispute evidence text
      • POSTCreate dispute evidence file
      • DELDelete dispute evidence
      • GETRetrieve dispute evidence
      • Dispute
      • DisputeEvidence
      • POSTEvent: dispute.created
      • POSTEvent: dispute.status.updated
  • Customer Request API
  • Management API
LogoLogo
Network APIDisputes

Create dispute evidence file

POST
/disputes/:dispute_id/evidence-file
POST
/network/v1/disputes/:dispute_id/evidence-file
$curl -X POST https://api.cash.app/network/v1/disputes/dispute_id/evidence-file \
> -H "Accept: Accept" \
> -H "X-Region: X-Region" \
> -H "X-Signature: X-Signature" \
> -H "User-Agent: User-Agent" \
> -H "Content-Type: multipart/form-data" \
> -F request='{
> "idempotency_key": "e345c3fb-1caa-46fd-b0d3-aa6c7b00ab19",
> "evidence": {
> "category": "GENERIC_EVIDENCE",
> "file": {
> "filename": "filename",
> "content_type": "application/pdf"
> }
> }
>}' \
> -F file=@string
1{
2 "evidence": {
3 "id": "EVD_dbdda8e161b7bad8519f7f73",
4 "dispute_id": "DSPT_1fbjn9dg7rmz1xeyv6gkyh8vg",
5 "category": "GENERIC_EVIDENCE",
6 "type": "FILE",
7 "created_at": "2022-01-01T12:00:00Z",
8 "file": {
9 "filename": "string",
10 "content_type": "application/pdf"
11 },
12 "text": "string",
13 "metadata": {}
14 }
15}
Uploads a binary file as a piece of evidence for the given dispute, which can then be submitted with the [challenge dispute](Network-API.v1.yaml/paths/~1disputes~1{dispute_id}~1challenge) endpoint. The file must be one of the supported formats, or else it may not be usable to challenge the dispute: - `JPEG` - `HEIC` - `HEIF` - `PNG` - `PDF` - `TIFF` <Note> Uploading evidence does not challenge the dispute. Make sure to call the [challenge dispute](Network-API.v1.yaml/paths/~1disputes~1{dispute_id}~1challenge) endpoint before the `response_due_at` timestamp, or else the merchant will automatically "lose" the dispute. </Note> **This endpoint is not rate limited.** Scopes: `DISPUTES_WRITE` --- ### Example request payload (cURL) The following example shows how to make a request to upload a dispute file. There are two "parts" of the request: - `request`, a JSON blob that contains details about the file to upload - `file`, which contains the binary data for the file to be uploaded. Using `cURL` to make the request, the request would look like the example below. Please refer to documentation for your particular language / framework and `multipart/form-data` requests to see how you should implement it in your own codebase. Please refer to [Signing Multipart Requests](https://developers.cash.app/docs/partner/technical-documentation/api-fundamentals/requests/signing-requests) to compute a signature for the request. ```curl curl --request POST 'https://sandbox.api.cash.app/network/v1/disputes/DSPT_ztqn5hd8wmrzjzavmf60pjbzf/evidence-file' \ --header 'Accept: application/json' \ --header 'Authorization: Client CLIENT_ID API_KEY_ID' \ --header 'Content-Type: multipart/form-data' \ --header 'X-Region: PDX' \ --form 'request={ "idempotency_key": "e445c3fb-2caa-46fd-b0d3-aa7c7b00ab41", "evidence": { "category": "AUTHORIZATION_DOCUMENTATION", "file": { "filename": "evidence.pdf", "content_type": "application/pdf" } } }' \ --form 'signature=SIGNATURE' \ --form 'file=path-to-file.pdf' ```
Was this page helpful?
Previous

Delete dispute evidence

Next
Built with

Uploads a binary file as a piece of evidence for the given dispute, which can then be submitted with the challenge dispute endpoint.

The file must be one of the supported formats, or else it may not be usable to challenge the dispute:

  • JPEG
  • HEIC
  • HEIF
  • PNG
  • PDF
  • TIFF

Uploading evidence does not challenge the dispute. Make sure to call the challenge dispute endpoint before the response_due_at timestamp, or else the merchant will automatically “lose” the dispute.

This endpoint is not rate limited.

Scopes: DISPUTES_WRITE


Example request payload (cURL)

The following example shows how to make a request to upload a dispute file. There are two “parts” of the request:

  • request, a JSON blob that contains details about the file to upload
  • file, which contains the binary data for the file to be uploaded.

Using cURL to make the request, the request would look like the example below. Please refer to documentation for your particular language / framework and multipart/form-data requests to see how you should implement it in your own codebase.

Please refer to Signing Multipart Requests to compute a signature for the request.

1curl --request POST 'https://sandbox.api.cash.app/network/v1/disputes/DSPT_ztqn5hd8wmrzjzavmf60pjbzf/evidence-file' \
2--header 'Accept: application/json' \
3--header 'Authorization: Client CLIENT_ID API_KEY_ID' \
4--header 'Content-Type: multipart/form-data' \
5--header 'X-Region: PDX' \
6--form 'request={
7 "idempotency_key": "e445c3fb-2caa-46fd-b0d3-aa7c7b00ab41",
8 "evidence": {
9 "category": "AUTHORIZATION_DOCUMENTATION",
10 "file": {
11 "filename": "evidence.pdf",
12 "content_type": "application/pdf"
13 }
14 }
15}' \
16--form 'signature=SIGNATURE' \
17--form 'file=path-to-file.pdf'

Path parameters

dispute_idstringRequired

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Request

requestobjectRequired

JSON-encoded payload describing the contents of the file uploaded

filefileRequired

Binary file to upload

Min size: 1 byte Max size: 5 megabytes

Response

Created
evidenceobject

Errors

400
Bad Request Error
404
Not Found Error